## com.ibm.lab.soln.editor.ui.actions
Class MiniSpreadsheetEditorActionBarContributor

    java.lang.Object
      |
      +--org.eclipse.ui.part.EditorActionBarContributor
            |
            +--com.ibm.lab.soln.editor.ui.actions.MiniSpreadsheetEditorActionBarContributor

All Implemented Interfaces:
  org.eclipse.ui.IEditorActionBarContributor, org.eclipse.jface.viewers.ISelectionChangedListener

public class MiniSpreadsheetEditorActionBarContributor
extends org.eclipse.ui.part.EditorActionBarContributor
implements org.eclipse.jface.viewers.ISelectionChangedListener

Coordinate the addition of actions on behalf the mini-spreadsheet editor.

Constructor Summary
`MiniSpreadsheetEditorActionBarContributor()`

Method Summary
`void` | `contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)`
`void` | `contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)`
`protected void` | `createActions()`
`void` | `dispose()`
`void` | `init(org.eclipse.ui.IActionBars bars, org.eclipse.ui.IWorkbenchPage page)`
`void` | `selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)`
`void` | `setActiveEditor(org.eclipse.ui.IEditorPart targetEditor)`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToStatusLine, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiniSpreadsheetEditorActionBarContributor

    public MiniSpreadsheetEditorActionBarContributor()

Method Detail

### contributeToMenu

    public void contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)

  Overrides:
    `contributeToMenu` in class `org.eclipse.ui.part.EditorActionBarContributor`

### contributeToToolBar

    public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)

  Overrides:
    `contributeToToolBar` in class `org.eclipse.ui.part.EditorActionBarContributor`
  See Also:
    `EditorActionBarContributor.contributeToToolBar(IToolBarManager)`

### createActions

    protected void createActions()

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IEditorActionBarContributor`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.EditorActionBarContributor`
  See Also:
    `IEditorActionBarContributor.dispose()`

### init

    public void init(org.eclipse.ui.IActionBars bars,
                     org.eclipse.ui.IWorkbenchPage page)

  Specified by:
    `init` in interface `org.eclipse.ui.IEditorActionBarContributor`
  Overrides:
    `init` in class `org.eclipse.ui.part.EditorActionBarContributor`
  See Also:
    `EditorActionBarContributor.init(IActionBars, IWorkbenchPage)`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

  Specified by:
    `selectionChanged` in interface `org.eclipse.jface.viewers.ISelectionChangedListener`
  See Also:
    `ISelectionChangedListener.selectionChanged(SelectionChangedEvent)`

### setActiveEditor

    public void setActiveEditor(org.eclipse.ui.IEditorPart targetEditor)

  Specified by:
    `setActiveEditor` in interface `org.eclipse.ui.IEditorActionBarContributor`
  Overrides:
    `setActiveEditor` in class `org.eclipse.ui.part.EditorActionBarContributor`
  See Also:
    `EditorActionBarContributor.setActiveEditor(IEditorPart)`